project reality header
Go Back   Project Reality Forums > Project Reality Support > PR:BF2 Support
18 Dec 2017, 00:00:00 (PRT)
Register Forum RulesDeveloper Blogs Project Reality Members List Search Today's Posts Mark Forums Read
PR:BF2 Support Help and support regarding PR:BF2 installation and in-game issues

Reply
 
LinkBack Thread Tools Display Modes
Old 12-13-2013, 11:11 AM   #1
[R-COM]LITOralis.nMd
Lead Support Technician
Supporting Member
Exclamation Unable to detect required dependency: Visual C++ 2012 Update 1

Many people have recently hit this problem:



First, download and install the following:

Download Visual C++ Redistributable for Visual Studio 2012 Update 4 from Official Microsoft Download Center

Install both the x64 version and the x86 version (unless you're on 32 bit Windows, in which case you don't need to worry about the x64 version)

Now try launching PR:BF2 again. If PR:BF2 still displays the dependency error, download and run this:

http://files.ancientdev.com/prbf2/vcpp_prfix.reg

This will modify your registry in order to pass the dependency checks.

Code:
Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\VisualStudio\11.0\VC\Runtimes]

[HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\VisualStudio\11.0\VC\Runtimes\x64]
"Version"="v11.0.61030.00"
"Installed"=dword:00000001
"Major"=dword:0000000b
"Minor"=dword:00000000
"Bld"=dword:0000ee66
"Rbld"=dword:00000001

[HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\VisualStudio\11.0\VC\Runtimes\x86]
"Version"="v11.0.61030.00"
"Installed"=dword:00000001
"Major"=dword:0000000b
"Minor"=dword:00000000
"Bld"=dword:0000ee66
"Rbld"=dword:00000001

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\11.0\VC\Runtimes]

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\11.0\VC\Runtimes\x64]
"Version"="v11.0.61030.00"
"Installed"=dword:00000001
"Major"=dword:0000000b
"Minor"=dword:00000000
"Bld"=dword:0000ee66
"Rbld"=dword:00000001

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\11.0\VC\Runtimes\x86]
"Version"="v11.0.61030.00"
"Installed"=dword:00000001
"Major"=dword:0000000b
"Minor"=dword:00000000
"Bld"=dword:0000ee66
"Rbld"=dword:00000001

[R-COM]LITOralis.nMd is offline
Last edited by [R-COM]LITOralis.nMd; 01-03-2014 at 01:06 AM..
Reply With Quote
Old 12-22-2013, 11:23 PM   #2
[R-DEV]AncientMan
Retired
Supporting Member
PR Server License Administrator

[R-DEV]AncientMan's Avatar
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

Updated

[R-DEV]AncientMan is offline Reply With Quote
Old 12-23-2013, 08:19 AM   #3
deltatrooper
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

How do i run the link, and could it possibly harm my computer by modifying the reg?
deltatrooper is offline Reply With Quote
Old 12-23-2013, 08:22 AM   #4
Varok

Varok's Avatar
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

The link is not a mirror. Is there some other way to download it?
Varok is offline Reply With Quote
Old 12-24-2013, 02:38 PM   #5
arnzzz

arnzzz's Avatar
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

Thanks [R-DEV]AncientMan

This fixed the issue for me on Windows 8.1 64bit, on an AMD APU
arnzzz is offline Reply With Quote
Old 12-29-2013, 06:32 PM   #6
solo6411
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

Thanks so damn much!
solo6411 is offline Reply With Quote
Old 01-03-2014, 12:36 AM   #7
jpizzi
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

I have Norton and it said the link was malicious could you please reply I am having lots of trouble.
jpizzi is offline Reply With Quote
Old 01-03-2014, 01:37 AM   #8
[R-DEV]Psyrus
PR:BF2 Developer
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

Quote:
Originally Posted by jpizzi View Post
I have Norton and it said the link was malicious could you please reply I am having lots of trouble.
It's not malicious, that's a false positive.
[R-DEV]Psyrus is offline Reply With Quote
Old 01-22-2014, 01:50 AM   #9
IndustrialDonut
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

THANK YOU SO MUCH FOR THIS FIX!!!!!!!!!!!!!!!!!!
IndustrialDonut is offline Reply With Quote
Old 02-16-2014, 04:30 AM   #10
EimisLTU

EimisLTU's Avatar
Send a message via Skype™ to EimisLTU
Default Re: Unable to detect required dependency: Visual C++ 2012 Update 1

Thanks man :OOOOOO. It works.


LITHUANIA
EimisLTU is offline Reply With Quote
Reply


Tags
2012, dependency, detect, required, unable, update, visual, x86
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On



All times are GMT -4. The time now is 04:06 PM.


Powered by: vBulletin. ©vBulletin Solutions, Inc.
Search Engine Optimization by vBSEO 3.6.1
All Content Copyright ©2004 - 2015, Project Reality.